<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 1.2.276.0.76.10.3108
Name: Arbeitsunfähigkeitsbescheinigung Section
Description: 
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-1.2.276.0.76.10.3108-2017-05-24T000000">
   <title>Arbeitsunfähigkeitsbescheinigung Section</title>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3108
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]]
Item: (TemporaryDisablementSection)
-->

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3108
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]
Item: (TemporaryDisablementSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]"
         id="d20e971-false-d5093e0">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="string(@classCode) = ('DOCSECT') or not(@classCode)">(TemporaryDisablementSection): Der Wert von classCode MUSS 'DOCSECT' sein. Gefunden: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="string(@moodCode) = ('EVN') or not(@moodCode)">(TemporaryDisablementSection): Der Wert von moodCode MUSS 'EVN' sein. Gefunden: "<value-of select="@moodCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3108']) &gt;= 1">(TemporaryDisablementSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3108'] ist mandatory [min 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="count(hl7:templateId[@root = '1.2.276.0.76.10.3108']) &lt;= 1">(TemporaryDisablementSection): Element hl7:templateId[@root = '1.2.276.0.76.10.3108'] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="count(hl7:code[(@code = 'TEMPDISABLE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]) &lt;= 1">(TemporaryDisablementSection): Element hl7:code[(@code = 'TEMPDISABLE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor] kommt zu häufig vor [max 1x].</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="count(hl7:title) &lt;= 1">(TemporaryDisablementSection): Element hl7:title kommt zu häufig vor [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3108
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]/hl7:templateId[@root = '1.2.276.0.76.10.3108']
Item: (TemporaryDisablementSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]/hl7:templateId[@root = '1.2.276.0.76.10.3108']"
         id="d20e977-false-d5144e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:II" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="string(@root) = ('1.2.276.0.76.10.3108')">(TemporaryDisablementSection): Der Wert von root MUSS '1.2.276.0.76.10.3108' sein. Gefunden: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3108
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]/hl7:code[(@code = 'TEMPDISABLE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]
Item: (TemporaryDisablementSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]/hl7:code[(@code = 'TEMPDISABLE' and @codeSystem = '1.2.276.0.76.3.1.135.8.5.99') or @nullFlavor]"
         id="d20e982-false-d5159e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:CE" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="@nullFlavor or (@code='TEMPDISABLE' and @codeSystem='1.2.276.0.76.3.1.135.8.5.99')">(TemporaryDisablementSection): Der Elementinhalt MUSS einer von 'code 'TEMPDISABLE' codeSystem '1.2.276.0.76.3.1.135.8.5.99'' sein.</assert>
   </rule>
   <!--
Template derived rules for ID: 1.2.276.0.76.10.3108
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]/hl7:title
Item: (TemporaryDisablementSection)
-->

   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]/hl7:title"
         id="d20e987-false-d5175e0">
      <extends rule="ST"/>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(TemporaryDisablementSection): Wenn eine @xsi:type Instruktion anwesend ist MUSS diese den Wert "{urn:hl7-org:v3}:ST" haben, gefunden "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="text()='Arbeitsunfähigkeit'">(TemporaryDisablementSection): Der Elementinhalt von 'hl7:title' MUSS ''Arbeitsunfähigkeit'' sein. Gefunden: "<value-of select="."/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 1.2.276.0.76.10.3108
Context: *[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]
Item: (TemporaryDisablementSection)
-->
   <rule context="*[hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]]/hl7:section[hl7:templateId[@root = '1.2.276.0.76.10.3108']]/hl7:entry[hl7:observation[hl7:templateId[@root = '1.2.276.0.76.10.4270']]]">
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="string(@typeCode) = ('COMP')">(TemporaryDisablementSection): Der Wert von typeCode MUSS 'COMP' sein. Gefunden: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://hl7de.art-decor.org/vomgt-html-20181025T161621/tmp-1.2.276.0.76.10.3108-2017-05-24T000000.html"
              test="not(@contextConductionInd) or string(@contextConductionInd)=('true','false')">(TemporaryDisablementSection): Attribute @contextConductionInd MUSS vom Datentyp 'bl' sein  - '<value-of select="@contextConductionInd"/>'</assert>
   </rule>
</pattern>
